SDL_JoyBallEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_JoystickID | which
Uint8 | ball
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | xrel
Sint16 | yrel

## Detailed Description

Joystick trackball motion event structure (event.jball.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 521 of file SDL_events.h.

## Field Documentation

## ball

Uint8 SDL_JoyBallEvent::ball

The joystick trackball index

Definition at line 527 of file SDL_events.h.

## padding1

Uint8 SDL_JoyBallEvent::padding1

Definition at line 528 of file SDL_events.h.

## padding2

Uint8 SDL_JoyBallEvent::padding2

Definition at line 529 of file SDL_events.h.

## padding3

Uint8 SDL_JoyBallEvent::padding3

Definition at line 530 of file SDL_events.h.

## reserved

Uint32 SDL_JoyBallEvent::reserved

Definition at line 524 of file SDL_events.h.

## timestamp

Uint64 SDL_JoyBallEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 525 of file SDL_events.h.

## type

SDL_EventType SDL_JoyBallEvent::type

SDL_EVENT_JOYSTICK_BALL_MOTION

Definition at line 523 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyBallEvent::which

The joystick instance id

Definition at line 526 of file SDL_events.h.

## xrel

Sint16 SDL_JoyBallEvent::xrel

The relative motion in the X direction

Definition at line 531 of file SDL_events.h.

## yrel

Sint16 SDL_JoyBallEvent::yrel

The relative motion in the Y direction

Definition at line 532 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h